"Fossies" - the Fresh Open Source Software Archive

Member "bc-1.06.95/Makefile.in" (5 Sep 2006, 19053 Bytes) of package /linux/misc/old/bc-1.06.95.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the last Fossies "Diffs" side-by-side code changes report for "Makefile.in": 1.06.95_vs_1.07.

    1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
    5 # 2003, 2004, 2005  Free Software Foundation, Inc.
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 srcdir = @srcdir@
   17 top_srcdir = @top_srcdir@
   18 VPATH = @srcdir@
   19 pkgdatadir = $(datadir)/@PACKAGE@
   20 pkglibdir = $(libdir)/@PACKAGE@
   21 pkgincludedir = $(includedir)/@PACKAGE@
   22 top_builddir = .
   23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   24 INSTALL = @INSTALL@
   25 install_sh_DATA = $(install_sh) -c -m 644
   26 install_sh_PROGRAM = $(install_sh) -c
   27 install_sh_SCRIPT = $(install_sh) -c
   28 INSTALL_HEADER = $(INSTALL_DATA)
   29 transform = $(program_transform_name)
   30 NORMAL_INSTALL = :
   31 PRE_INSTALL = :
   32 POST_INSTALL = :
   33 NORMAL_UNINSTALL = :
   34 PRE_UNINSTALL = :
   35 POST_UNINSTALL = :
   36 subdir = .
   37 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
   38 	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
   39 	$(top_srcdir)/configure AUTHORS COPYING COPYING.LIB ChangeLog \
   40 	INSTALL NEWS depcomp install-sh missing
   41 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   42 am__aclocal_m4_deps = $(top_srcdir)/configure.in
   43 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
   44 	$(ACLOCAL_M4)
   45 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
   46  configure.lineno configure.status.lineno
   47 mkinstalldirs = $(install_sh) -d
   48 CONFIG_HEADER = config.h
   49 CONFIG_CLEAN_FILES =
   50 SOURCES =
   51 DIST_SOURCES =
   52 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
   53 	html-recursive info-recursive install-data-recursive \
   54 	install-exec-recursive install-info-recursive \
   55 	install-recursive installcheck-recursive installdirs-recursive \
   56 	pdf-recursive ps-recursive uninstall-info-recursive \
   57 	uninstall-recursive
   58 ETAGS = etags
   59 CTAGS = ctags
   60 DIST_SUBDIRS = $(SUBDIRS)
   61 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
   62 distdir = $(PACKAGE)-$(VERSION)
   63 top_distdir = $(distdir)
   64 am__remove_distdir = \
   65   { test ! -d $(distdir) \
   66     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
   67          && rm -fr $(distdir); }; }
   68 DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
   69 GZIP_ENV = --best
   70 distuninstallcheck_listfiles = find . -type f -print
   71 distcleancheck_listfiles = find . -type f -print
   72 ACLOCAL = @ACLOCAL@
   73 AMDEP_FALSE = @AMDEP_FALSE@
   74 AMDEP_TRUE = @AMDEP_TRUE@
   75 AMTAR = @AMTAR@
   76 AUTOCONF = @AUTOCONF@
   77 AUTOHEADER = @AUTOHEADER@
   78 AUTOMAKE = @AUTOMAKE@
   79 AWK = @AWK@
   80 BC_VERSION = @BC_VERSION@
   81 CC = @CC@
   82 CCDEPMODE = @CCDEPMODE@
   83 CFLAGS = @CFLAGS@
   84 CPP = @CPP@
   85 CPPFLAGS = @CPPFLAGS@
   86 CYGPATH_W = @CYGPATH_W@
   87 DC_VERSION = @DC_VERSION@
   88 DEFS = @DEFS@
   89 DEPDIR = @DEPDIR@
   90 ECHO_C = @ECHO_C@
   91 ECHO_N = @ECHO_N@
   92 ECHO_T = @ECHO_T@
   93 EGREP = @EGREP@
   94 EXEEXT = @EXEEXT@
   95 INSTALL_DATA = @INSTALL_DATA@
   96 INSTALL_PROGRAM = @INSTALL_PROGRAM@
   97 INSTALL_SCRIPT = @INSTALL_SCRIPT@
   98 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
   99 LDFLAGS = @LDFLAGS@
  100 LEX = @LEX@
  101 LEXLIB = @LEXLIB@
  102 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
  103 LIBOBJS = @LIBOBJS@
  104 LIBS = @LIBS@
  105 LTLIBOBJS = @LTLIBOBJS@
  106 MAKEINFO = @MAKEINFO@
  107 OBJEXT = @OBJEXT@
  108 PACKAGE = @PACKAGE@
  109 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  110 PACKAGE_NAME = @PACKAGE_NAME@
  111 PACKAGE_STRING = @PACKAGE_STRING@
  112 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  113 PACKAGE_VERSION = @PACKAGE_VERSION@
  114 PATH_SEPARATOR = @PATH_SEPARATOR@
  115 RANLIB = @RANLIB@
  116 READLINELIB = @READLINELIB@
  117 SET_MAKE = @SET_MAKE@
  118 SHELL = @SHELL@
  119 STRIP = @STRIP@
  120 VERSION = @VERSION@
  121 YACC = @YACC@
  122 ac_ct_CC = @ac_ct_CC@
  123 ac_ct_RANLIB = @ac_ct_RANLIB@
  124 ac_ct_STRIP = @ac_ct_STRIP@
  125 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
  126 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  127 am__include = @am__include@
  128 am__leading_dot = @am__leading_dot@
  129 am__quote = @am__quote@
  130 am__tar = @am__tar@
  131 am__untar = @am__untar@
  132 bindir = @bindir@
  133 build_alias = @build_alias@
  134 datadir = @datadir@
  135 exec_prefix = @exec_prefix@
  136 host_alias = @host_alias@
  137 includedir = @includedir@
  138 infodir = @infodir@
  139 install_sh = @install_sh@
  140 libdir = @libdir@
  141 libexecdir = @libexecdir@
  142 localstatedir = @localstatedir@
  143 mandir = @mandir@
  144 mkdir_p = @mkdir_p@
  145 oldincludedir = @oldincludedir@
  146 prefix = @prefix@
  147 program_transform_name = @program_transform_name@
  148 sbindir = @sbindir@
  149 sharedstatedir = @sharedstatedir@
  150 sysconfdir = @sysconfdir@
  151 target_alias = @target_alias@
  152 SUBDIRS = lib bc dc doc
  153 MAINTAINERCLEANFILES = aclocal.m4 config.h.in configure Makefile.in \
  154 			stamp-h $(distdir).tar.gz h/number.h depcomp missing
  155 
  156 all: config.h
  157 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
  158 
  159 .SUFFIXES:
  160 am--refresh:
  161 	@:
  162 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
  163 	@for dep in $?; do \
  164 	  case '$(am__configure_deps)' in \
  165 	    *$$dep*) \
  166 	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
  167 	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
  168 		&& exit 0; \
  169 	      exit 1;; \
  170 	  esac; \
  171 	done; \
  172 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
  173 	cd $(top_srcdir) && \
  174 	  $(AUTOMAKE) --gnu  Makefile
  175 .PRECIOUS: Makefile
  176 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  177 	@case '$?' in \
  178 	  *config.status*) \
  179 	    echo ' $(SHELL) ./config.status'; \
  180 	    $(SHELL) ./config.status;; \
  181 	  *) \
  182 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  183 	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  184 	esac;
  185 
  186 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  187 	$(SHELL) ./config.status --recheck
  188 
  189 $(top_srcdir)/configure:  $(am__configure_deps)
  190 	cd $(srcdir) && $(AUTOCONF)
  191 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
  192 	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  193 
  194 config.h: stamp-h1
  195 	@if test ! -f $@; then \
  196 	  rm -f stamp-h1; \
  197 	  $(MAKE) stamp-h1; \
  198 	else :; fi
  199 
  200 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  201 	@rm -f stamp-h1
  202 	cd $(top_builddir) && $(SHELL) ./config.status config.h
  203 $(srcdir)/config.h.in:  $(am__configure_deps) 
  204 	cd $(top_srcdir) && $(AUTOHEADER)
  205 	rm -f stamp-h1
  206 	touch $@
  207 
  208 distclean-hdr:
  209 	-rm -f config.h stamp-h1
  210 uninstall-info-am:
  211 
  212 # This directory's subdirectories are mostly independent; you can cd
  213 # into them and run `make' without going through this Makefile.
  214 # To change the values of `make' variables: instead of editing Makefiles,
  215 # (1) if the variable is set in `config.status', edit `config.status'
  216 #     (which will cause the Makefiles to be regenerated when you run `make');
  217 # (2) otherwise, pass the desired values on the `make' command line.
  218 $(RECURSIVE_TARGETS):
  219 	@failcom='exit 1'; \
  220 	for f in x $$MAKEFLAGS; do \
  221 	  case $$f in \
  222 	    *=* | --[!k]*);; \
  223 	    *k*) failcom='fail=yes';; \
  224 	  esac; \
  225 	done; \
  226 	dot_seen=no; \
  227 	target=`echo $@ | sed s/-recursive//`; \
  228 	list='$(SUBDIRS)'; for subdir in $$list; do \
  229 	  echo "Making $$target in $$subdir"; \
  230 	  if test "$$subdir" = "."; then \
  231 	    dot_seen=yes; \
  232 	    local_target="$$target-am"; \
  233 	  else \
  234 	    local_target="$$target"; \
  235 	  fi; \
  236 	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  237 	  || eval $$failcom; \
  238 	done; \
  239 	if test "$$dot_seen" = "no"; then \
  240 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  241 	fi; test -z "$$fail"
  242 
  243 mostlyclean-recursive clean-recursive distclean-recursive \
  244 maintainer-clean-recursive:
  245 	@failcom='exit 1'; \
  246 	for f in x $$MAKEFLAGS; do \
  247 	  case $$f in \
  248 	    *=* | --[!k]*);; \
  249 	    *k*) failcom='fail=yes';; \
  250 	  esac; \
  251 	done; \
  252 	dot_seen=no; \
  253 	case "$@" in \
  254 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  255 	  *) list='$(SUBDIRS)' ;; \
  256 	esac; \
  257 	rev=''; for subdir in $$list; do \
  258 	  if test "$$subdir" = "."; then :; else \
  259 	    rev="$$subdir $$rev"; \
  260 	  fi; \
  261 	done; \
  262 	rev="$$rev ."; \
  263 	target=`echo $@ | sed s/-recursive//`; \
  264 	for subdir in $$rev; do \
  265 	  echo "Making $$target in $$subdir"; \
  266 	  if test "$$subdir" = "."; then \
  267 	    local_target="$$target-am"; \
  268 	  else \
  269 	    local_target="$$target"; \
  270 	  fi; \
  271 	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  272 	  || eval $$failcom; \
  273 	done && test -z "$$fail"
  274 tags-recursive:
  275 	list='$(SUBDIRS)'; for subdir in $$list; do \
  276 	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
  277 	done
  278 ctags-recursive:
  279 	list='$(SUBDIRS)'; for subdir in $$list; do \
  280 	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
  281 	done
  282 
  283 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
  284 	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  285 	unique=`for i in $$list; do \
  286 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  287 	  done | \
  288 	  $(AWK) '    { files[$$0] = 1; } \
  289 	       END { for (i in files) print i; }'`; \
  290 	mkid -fID $$unique
  291 tags: TAGS
  292 
  293 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  294 		$(TAGS_FILES) $(LISP)
  295 	tags=; \
  296 	here=`pwd`; \
  297 	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  298 	  include_option=--etags-include; \
  299 	  empty_fix=.; \
  300 	else \
  301 	  include_option=--include; \
  302 	  empty_fix=; \
  303 	fi; \
  304 	list='$(SUBDIRS)'; for subdir in $$list; do \
  305 	  if test "$$subdir" = .; then :; else \
  306 	    test ! -f $$subdir/TAGS || \
  307 	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
  308 	  fi; \
  309 	done; \
  310 	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  311 	unique=`for i in $$list; do \
  312 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  313 	  done | \
  314 	  $(AWK) '    { files[$$0] = 1; } \
  315 	       END { for (i in files) print i; }'`; \
  316 	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  317 	  test -n "$$unique" || unique=$$empty_fix; \
  318 	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  319 	    $$tags $$unique; \
  320 	fi
  321 ctags: CTAGS
  322 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  323 		$(TAGS_FILES) $(LISP)
  324 	tags=; \
  325 	here=`pwd`; \
  326 	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  327 	unique=`for i in $$list; do \
  328 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  329 	  done | \
  330 	  $(AWK) '    { files[$$0] = 1; } \
  331 	       END { for (i in files) print i; }'`; \
  332 	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  333 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  334 	     $$tags $$unique
  335 
  336 GTAGS:
  337 	here=`$(am__cd) $(top_builddir) && pwd` \
  338 	  && cd $(top_srcdir) \
  339 	  && gtags -i $(GTAGS_ARGS) $$here
  340 
  341 distclean-tags:
  342 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  343 
  344 distdir: $(DISTFILES)
  345 	$(am__remove_distdir)
  346 	mkdir $(distdir)
  347 	$(mkdir_p) $(distdir)/doc
  348 	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
  349 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
  350 	list='$(DISTFILES)'; for file in $$list; do \
  351 	  case $$file in \
  352 	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
  353 	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
  354 	  esac; \
  355 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  356 	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
  357 	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
  358 	    dir="/$$dir"; \
  359 	    $(mkdir_p) "$(distdir)$$dir"; \
  360 	  else \
  361 	    dir=''; \
  362 	  fi; \
  363 	  if test -d $$d/$$file; then \
  364 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  365 	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  366 	    fi; \
  367 	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
  368 	  else \
  369 	    test -f $(distdir)/$$file \
  370 	    || cp -p $$d/$$file $(distdir)/$$file \
  371 	    || exit 1; \
  372 	  fi; \
  373 	done
  374 	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  375 	  if test "$$subdir" = .; then :; else \
  376 	    test -d "$(distdir)/$$subdir" \
  377 	    || $(mkdir_p) "$(distdir)/$$subdir" \
  378 	    || exit 1; \
  379 	    distdir=`$(am__cd) $(distdir) && pwd`; \
  380 	    top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
  381 	    (cd $$subdir && \
  382 	      $(MAKE) $(AM_MAKEFLAGS) \
  383 	        top_distdir="$$top_distdir" \
  384 	        distdir="$$distdir/$$subdir" \
  385 	        distdir) \
  386 	      || exit 1; \
  387 	  fi; \
  388 	done
  389 	$(MAKE) $(AM_MAKEFLAGS) \
  390 	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
  391 	  dist-hook
  392 	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
  393 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  394 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  395 	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
  396 	|| chmod -R a+r $(distdir)
  397 dist-gzip: distdir
  398 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  399 	$(am__remove_distdir)
  400 dist-bzip2: distdir
  401 	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
  402 	$(am__remove_distdir)
  403 
  404 dist-tarZ: distdir
  405 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  406 	$(am__remove_distdir)
  407 
  408 dist-shar: distdir
  409 	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  410 	$(am__remove_distdir)
  411 
  412 dist-zip: distdir
  413 	-rm -f $(distdir).zip
  414 	zip -rq $(distdir).zip $(distdir)
  415 	$(am__remove_distdir)
  416 
  417 dist dist-all: distdir
  418 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  419 	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
  420 	$(am__remove_distdir)
  421 
  422 # This target untars the dist file and tries a VPATH configuration.  Then
  423 # it guarantees that the distribution is self-contained by making another
  424 # tarfile.
  425 distcheck: dist
  426 	case '$(DIST_ARCHIVES)' in \
  427 	*.tar.gz*) \
  428 	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
  429 	*.tar.bz2*) \
  430 	  bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
  431 	*.tar.Z*) \
  432 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  433 	*.shar.gz*) \
  434 	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
  435 	*.zip*) \
  436 	  unzip $(distdir).zip ;;\
  437 	esac
  438 	chmod -R a-w $(distdir); chmod a+w $(distdir)
  439 	mkdir $(distdir)/_build
  440 	mkdir $(distdir)/_inst
  441 	chmod a-w $(distdir)
  442 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  443 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  444 	  && cd $(distdir)/_build \
  445 	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
  446 	    $(DISTCHECK_CONFIGURE_FLAGS) \
  447 	  && $(MAKE) $(AM_MAKEFLAGS) \
  448 	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
  449 	  && $(MAKE) $(AM_MAKEFLAGS) check \
  450 	  && $(MAKE) $(AM_MAKEFLAGS) install \
  451 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  452 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  453 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  454 	        distuninstallcheck \
  455 	  && chmod -R a-w "$$dc_install_base" \
  456 	  && ({ \
  457 	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  458 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  459 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  460 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  461 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  462 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
  463 	  && rm -rf "$$dc_destdir" \
  464 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
  465 	  && rm -rf $(DIST_ARCHIVES) \
  466 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
  467 	$(am__remove_distdir)
  468 	@(echo "$(distdir) archives ready for distribution: "; \
  469 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  470 	  sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
  471 distuninstallcheck:
  472 	@cd $(distuninstallcheck_dir) \
  473 	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
  474 	   || { echo "ERROR: files left after uninstall:" ; \
  475 	        if test -n "$(DESTDIR)"; then \
  476 	          echo "  (check DESTDIR support)"; \
  477 	        fi ; \
  478 	        $(distuninstallcheck_listfiles) ; \
  479 	        exit 1; } >&2
  480 distcleancheck: distclean
  481 	@if test '$(srcdir)' = . ; then \
  482 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  483 	  exit 1 ; \
  484 	fi
  485 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  486 	  || { echo "ERROR: files left in build directory after distclean:" ; \
  487 	       $(distcleancheck_listfiles) ; \
  488 	       exit 1; } >&2
  489 check-am: all-am
  490 check: check-recursive
  491 all-am: Makefile config.h
  492 installdirs: installdirs-recursive
  493 installdirs-am:
  494 install: install-recursive
  495 install-exec: install-exec-recursive
  496 install-data: install-data-recursive
  497 uninstall: uninstall-recursive
  498 
  499 install-am: all-am
  500 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  501 
  502 installcheck: installcheck-recursive
  503 install-strip:
  504 	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  505 	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  506 	  `test -z '$(STRIP)' || \
  507 	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  508 mostlyclean-generic:
  509 
  510 clean-generic:
  511 
  512 distclean-generic:
  513 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  514 
  515 maintainer-clean-generic:
  516 	@echo "This command is intended for maintainers to use"
  517 	@echo "it deletes files that may require special tools to rebuild."
  518 	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  519 clean: clean-recursive
  520 
  521 clean-am: clean-generic mostlyclean-am
  522 
  523 distclean: distclean-recursive
  524 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  525 	-rm -f Makefile
  526 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
  527 
  528 dvi: dvi-recursive
  529 
  530 dvi-am:
  531 
  532 html: html-recursive
  533 
  534 info: info-recursive
  535 
  536 info-am:
  537 
  538 install-data-am:
  539 
  540 install-exec-am:
  541 
  542 install-info: install-info-recursive
  543 
  544 install-man:
  545 
  546 installcheck-am:
  547 
  548 maintainer-clean: maintainer-clean-recursive
  549 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  550 	-rm -rf $(top_srcdir)/autom4te.cache
  551 	-rm -f Makefile
  552 maintainer-clean-am: distclean-am maintainer-clean-generic
  553 
  554 mostlyclean: mostlyclean-recursive
  555 
  556 mostlyclean-am: mostlyclean-generic
  557 
  558 pdf: pdf-recursive
  559 
  560 pdf-am:
  561 
  562 ps: ps-recursive
  563 
  564 ps-am:
  565 
  566 uninstall-am: uninstall-info-am
  567 
  568 uninstall-info: uninstall-info-recursive
  569 
  570 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
  571 	check-am clean clean-generic clean-recursive ctags \
  572 	ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-hook \
  573 	dist-shar dist-tarZ dist-zip distcheck distclean \
  574 	distclean-generic distclean-hdr distclean-recursive \
  575 	distclean-tags distcleancheck distdir distuninstallcheck dvi \
  576 	dvi-am html html-am info info-am install install-am \
  577 	install-data install-data-am install-exec install-exec-am \
  578 	install-info install-info-am install-man install-strip \
  579 	installcheck installcheck-am installdirs installdirs-am \
  580 	maintainer-clean maintainer-clean-generic \
  581 	maintainer-clean-recursive mostlyclean mostlyclean-generic \
  582 	mostlyclean-recursive pdf pdf-am ps ps-am tags tags-recursive \
  583 	uninstall uninstall-am uninstall-info-am
  584 
  585 
  586 dist-hook:
  587 	mkdir $(distdir)/h $(distdir)/Examples $(distdir)/Test
  588 	cp -p $(srcdir)/h/*.h $(distdir)/h
  589 	cp -p $(srcdir)/Examples/*.b $(distdir)/Examples
  590 	cp -p $(srcdir)/Test/*.b $(srcdir)/Test/*.bc $(distdir)/Test
  591 	cp -p $(srcdir)/Test/signum $(srcdir)/Test/timetest $(distdir)/Test
  592 	cp -p $(srcdir)/lib/testmul.c $(distdir)/lib
  593 	cp -p $(srcdir)/FAQ $(distdir)
  594 
  595 timetest:
  596 	(cd lib; $(MAKE) specialnumber)
  597 # Tell versions [3.59,3.63) of GNU make to not export all variables.
  598 # Otherwise a system limit (for SysV at least) may be exceeded.
  599 .NOEXPORT: